/* Using scss
// Change hues as you need
$primary-color: #100D26;
$secondary-color: #01FF85
*/

body{
    background-color: #a3a2a2;
    background: linear-gradient(148.76deg, #0B1B5A -4.78%, #07123F 36.09%, #0C0F1B 76.11%);
    color: #FFFFFF;
    box-sizing: border-box;
}


@font-face {
    font-family: 'Microgramma';
    src: url(./fonts/Microgramma\ D\ Extended\ Bold.otf);
}

@font-face {
    font-family: 'Futura';
    src: url(./fonts/futur.ttf);
}


html{
    margin: 0px;
    padding: 0px;
    /* overflow-x: hidden; */
}
body{
    background: linear-gradient(148.76deg, #0B1B5A -4.78%, #07123F 36.09%, #0C0F1B 76.11%);
    color: #FFFFFF;
    font-family: 'Futuraa';
    margin: 0px;
    padding: 0px;
    /* overflow-x: hidden; */
}


/* FONT STYLES FROM FIGMA FILE */
/* i coppied and pasted, please make sure its correct for your section by veryfing with the actual figma design.*/
.TFont-navbar{
    font-family: 'Futura', sans-serif;
    font-size: 1.25rem;
    line-height: 1.5rem;
    letter-spacing: 0.03em;
    color: #FFFFFF;
}

.TFont-navbar-active{
    font-weight: 700;
    text-decoration-line: underline;
    text-shadow: 0px 0px 24.4944px #049A52, 0px 0px 13.9968px #049A52, 0px 0px 8.1648px #049A52, 0px 0px 4.0824px #049A52, 0px 0px 1.1664px #049A52, 0px 0px 0.5832px #049A52;
}

.TFont-h1{
    font-family: 'Futura', sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 4rem;
    line-height: 4.3rem;
    letter-spacing: 0.03em;
    color: #FFFFFF;
}

.TFont-h2{
    font-family: 'Futura', sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 3rem;
    line-height: 3.5rem;
    text-align: center;
    letter-spacing: 0.03em;
    color: #FFFFFF;
}

.TFont-h3{
    font-family: 'Futura', sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 2.25rem;
    line-height: 2.5rem;
    text-align: center;
    letter-spacing: 0.03em;
    color: #FFFFFF;
}

.TFont-p-20px{
font-family: 'Inter', sans-serif;;
font-style: normal;
font-weight: 400;
font-size: 1.25rem;
line-height: 1.5rem;
text-align: center;
letter-spacing: 0.03rem;
color: #FFFFFF;
}

.TFont-p-24px{
    font-family: 'Futura', sans-serif;
    font-weight: 400;
    font-size: 1.5rem;
    line-height: 1.875rem;
    color: #FFFFFF;
}

.TFont-p-16px{
    font-family: 'Futura', sans-serif;
    font-size: 1rem;
    line-height: 1.875rem;
    color: #FFFFFF;
}


/* height needs to change responsive once we implement SASS into the project. */
.buttonTF{
  border: none;
    width: 100%;
    height: 100px;
   box-shadow: 0px 0px 66.8304px #9F8E8E, 0px 0px 38.1888px #9F8E8E, 0px 0px 22.2768px #9F8E8E, 0px 0px 11.1384px #9F8E8E, 0px 0px 3.1824px #9F8E8E, 0px 0px 1.5912px #9F8E8E;
   border-bottom: 10px solid #80823A;
   font-family: 'Microgramma';
   transition:all .3s ease-out; 

}

.buttonTF2{
    font-family: 'Microgramma';
    height: 94px;
    box-shadow: 0px 0px 66.8304px #329C2B,
    0px 0px 38.1888px #329C2B,
     0px 0px 22.2768px #329C2B,
     0px 0px 11.1384px #329C2B,
     0px 0px 3.1824px #329C2B,
     0px 0px 1.5912px #329C2B;
    background-color:  #01FF85;
    border: 1px solid #01FF85;
    padding: 30px 40px;
    font-size: 20px;
    min-width: 45%;
    flex-grow: 1;
    transition:all .3s ease-out; 
}


/* NAVBAR STYLING */
.anchor { 
    padding-top: 90px; 
    width: 100%;
}
.mb-5 {
    margin-bottom: 0;
}
.navbar-section {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.nav-middle-section {
    background-color: #100D26;
    padding: 11px 20px 11px 30px;
    gap: 30px;
    border: 1px solid rgba(1, 255, 133, 0.3);
    justify-content: inherit;
}
.nav-middle-section li {
    --bs-nav-link-color: #fff;
    margin: .5rem;
}
/* Permanantly styles Home link as green highlight - needs to change */
.navbar-nav .nav-link.active, .navbar-nav .show>.nav-link {
    --bs-navbar-active-color: #01FF85;
    text-shadow: 0px 0px 24.4944px #049a52, 0px 0px 13.9968px #049a52, 0px 0px 8.1648px #049a52, 0px 0px 4.0824px #049a52, 0px 0px 1.1664px #049a52, 0px 0px 0.5832px #049a52;
    text-decoration: underline;
}
.nav-middle-section a:hover {
    color: #01FF85;
}
/* Adds green highlight to selected nav-link - keeps the selected link highlighted instead of disappearing*/
.nav-middle-section a:focus, .highlight-txt {
    color: #01FF85;
        --bs-navbar-active-color: #01FF85;
    text-shadow: 0px 0px 24.4944px #049a52, 0px 0px 13.9968px #049a52, 0px 0px 8.1648px #049a52, 0px 0px 4.0824px #049a52, 0px 0px 1.1664px #049a52, 0px 0px 0.5832px #049a52;
    text-decoration: underline;
}
.highlight-txt {
    font-size: 24px;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}
/* Highlights green when the link is clicked */
.nav-middle-section a:active {
    color: #FFFFFF;
      --bs-navbar-active-color: #01FF85;
    text-shadow: 0px 0px 24.4944px #049a52, 0px 0px 13.9968px #049a52, 0px 0px 8.1648px #049a52, 0px 0px 4.0824px #049a52, 0px 0px 1.1664px #049a52, 0px 0px 0.5832px #049a52;
    text-decoration: underline;
}
/* Visited color set to #FFF - this can be updated later*/
/* .nav-middle-section a:visited {
    color: #fff;
} */

.nav-btn {
    min-width: 178px;
    height: 60px;
    background: #01FF85;
    border-bottom: 10px solid #0D6A08;
    font-size: 16px;
    color: #100D26;
    text-transform: uppercase;
    letter-spacing: 3%;
    line-height: 10px;
}
.icon-styles {
    width: 24px;
    margin: 1.5rem;
}
/* End of Navbar styling */

/* Hero banner Styling */
#index-hero-section {
    background-image: url("./media/Frame\ 918.png");
    background-repeat: no-repeat;
    background-size: contain;
    z-index: -1;
}
.hero-section-above {
    margin-bottom: 3rem;
}
.see-our-work {
    max-width: 329px;
    height: 90px;
    margin: 1.5rem 0;
}
.hire-us {
    background-color: #F0F0DF;
    max-width: 329px;
    text-transform: uppercase;
    padding: 30px 40px;
}
.icons-container {
    display: inline-flex;
    justify-content: center;
}
.icons-list {
    margin: 2rem 0;
}
.p-index-icons {
    width: 215px;
    text-align: center;
}
/* Animation for astronaut */
.rotate {
    animation: rotation 12s infinite linear;
}
@keyframes rotation {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(359deg);
    }
}
/* End of Hero Banner Styling */

/* New Grads & Career Transitioners Section */
.new-grads-container {
    margin: 3rem;
}
/* End of New Grads */

.testimonial-card{
    min-width: 200px;
    max-width: 375px;
}

.testimonial-card img{
    width: 100%;
    max-width: 300px;
    max-height: 300px;
    border: 3px solid rgba(23, 215, 160, 0.5);
    border-radius: 50%;
}
#livemissions-section{
    background-color: #C9BCBC !important;
}
#testimonial-section{
    flex-grow: 1;
}


/* Our alumni logo area && Our partner logo area */
/* Most of the Smartphones Mobiles [Portrait] */
@media (min-width: 280px) and (max-width: 480px){
    #sm-display-grid{
        display: grid;
        grid-template-columns: 1fr 1fr;
        margin-bottom: 1em;
        width: 100%;
    }
    .sm-center-text{
        text-align: center;
    }
    .sm-display-none{
        display: none !important;
    }
    .hire-section{
        display: grid !important;
        gap: 0.5em;
        justify-content: center;
    }
}
/*  Low Resolution Tablets, Mobiles [Landscape] */
@media (min-width: 481px) and (max-width: 767px){
    #sm-display-grid{
        display: grid;
        grid-template-columns: 1fr 1fr;
        margin-bottom: 1em;
    }
    .sm-center-text{
        text-align: center;
    }
    .sm-display-none{
        display: none !important;
    }
    .hire-section{
        display: grid !important;
        grid-template-columns: 1fr;
    }
}

/* Our partner area */
/* Our partner area */

.partner-items ul li {
    list-style: none;
    padding: 10px 30px;
    /* background-image: url(media/Group\ 354.png); */
    background-repeat: no-repeat;
    background-position: left center;
    background-size: 30px;
    isolation: isolate;
    position: relative;
}
.partner-items ul li::before {
    content: "";
    width: 20px;
    height: 20px;
    border: 3px solid #01FF85;
    position: absolute;
    top: 13px;
    left: -2px;
    border-radius: 50%;
    z-index: -1;
}
.square{
    width: 130px;
    height: 100px;

    background-color:  #01FF85;
    box-shadow: 0px 10px 0px 0px #0D6A08, 0px 0px 66.8304px #329C2B, 0px 0px 38.1888px #329C2B,0px 0px 22.2768px #329C2B,0px 0px 11.1384px #329C2B,0px 0px 3.1824px #329C2B,0px 0px 1.5912px #329C2B; border: 1px solid #01FF85;

}

@media only screen and (max-width: 600px) {
   
.buttonTF2-group{
display: flex;
flex-direction: column !important;
justify-content: center !important;


}
.buttonTF2{
    width: 100% !important;
}
  }




.bg-lightyellow{
    background-color:#F0F0DF;
}

.bg-green{
    background-color:#01FF85;
}

#bg-tal9000{
   background-color: #C9BCBC;
   padding: 20px;
   gap: 50px;
}


/* medi query for each breakpoint so that the 
width and height of the box changes while there always centered. the box will 
include padding and margin */

#bg-tal9000 .square{
    width: 130px;
    height: 120px;

    background-color:  #01FF85;
    box-shadow: 0px 10px 0px 0px #0D6A08, 0px 0px 66.8304px #329C2B, 0px 0px 38.1888px #329C2B,0px 0px 22.2768px #329C2B,0px 0px 11.1384px #329C2B,0px 0px 3.1824px #329C2B,0px 0px 1.5912px #329C2B; border: 1px solid #01FF85;

}

.center-p-w-700{
    max-width: 700px;
    align-self: center;
    
}

#live-mission-text{
font-family: 'Microgramma';
font-style: normal;
font-weight: 500;
font-size: 36px;
line-height: 40px;
letter-spacing: 0.03em;
color: #100D26;
}

.mission-titles{
font-family: 'Microgramma';
font-style: normal;
font-weight: 500;
font-size: 24px;
line-height: 30px;
letter-spacing: 0.03em;
color: #100D26;
}




/* All footer styling */
/* All footer styling */

.footer-item01{
    list-style-type: none;
    font-size: 19px;
}
.footer-item01 li:first-child a{
    color: #01FF85;
    font-weight: bold;
}
.footer-item01 .info a{
    color: #EEEEEE;
    font-weight: bold;
}
.footer-item02{
    list-style-type: none;
    font-size: 19px;
}
.footer-item02 li a{
    text-decoration: none;
    color: #EEEEEE;
}

/* All four buttons on footer */
.btn-footer{
    background-color: #F0F0DF;
    height: 6em;
    width: 90%;
    margin-bottom: 1.2em;
    box-shadow: 0 8px 0 0 #838343;
    filter: drop-shadow(0px 0px 16px #86767C) drop-shadow(0px 0px 16px #86767C);
    border-bottom-right-radius: 3px;
    border-bottom-left-radius: 3px;
}
.all-shadow{
    filter: drop-shadow(0px 0px 12px #1A921C) drop-shadow(0px 0px 12px #1A921C);
}

  /* All four buttons on footer */
/* .btn-footer{
     box-shadow: 0 5px 0 0 #848445; 
    border-bottom-left-radius: 2px;
    border-bottom-right-radius: 2px;
    filter: drop-shadow(0px 0px 12px #8b7e84) drop-shadow(0px 0px 12px #8b7e84);
} 
 */


.all-shadow{
    filter: drop-shadow(0px 0px 12px #1A921C) drop-shadow(0px 0px 12px #1A921C);
}
 

.btn-footer{
    filter: drop-shadow(0px 0px 12px #8b7e84) drop-shadow(0px 0px 12px #8b7e84);

    outline:0; 
    font-size:1em;
    font-weight:600;
    background:#fff;
    border:none;
    padding:2em 4em;
    transition:all .07s ease-out; 
    box-shadow:inset 0 -8px 0 0 #80823A,
      1px 1px 0 0 #f0f0df88,
      2px 2px 0 0 #f0f0df88,
      3px 3px 0 0 #f0f0df88,
      4px 4px 0 0 #f0f0df88,
      5px 5px 0 0 #f0f0df88,
      6px 6px 0 0 #f0f0df88,
      7px 7px 0 0 #f0f0df88,
      8px 8px 0 0 #f0f0df88,
      9px 9px 0 0 #f0f0df88,
      10px 10px 0 0 #f0f0df88,
      11px 11px 0 0 #f0f0df88,
      12px 12px 0 0 #f0f0df88;
  }
  .btn-footer:hover{
    color:#444;
  }
  .btn-footer:active{
    color:#222;
    box-shadow:inset 0 -4px 0 0 rgba(0,0,0,.2),
      1px 1px 0 0 #f0f0df88,
      2px 2px 0 0 #f0f0df88,
      3px 3px 0 0 #f0f0df88,
      4px 4px 0 0 #f0f0df88,
      5px 5px 0 0 #f0f0df88;
  }





  /* Design for mobile - other wise everything is responsive*/
@media all and (min-width: 300px) and (max-width: 600px) {
    .TFont-h1 {
        font-size: 3rem;
    }
    #index-hero-section {
        background-image: url("./media/banner-mobile.png") !important;
    }
    .nav-logo-img {
        src: url("./media/Tech\ Fleet\ Logo_black.png") !important;
        width: 50px;
    }
    nav {
        background-color: #100D26;
        height: 70px;
    }
    .hero-section-below {
        background-color: #07123F;
        opacity: 0.9;
    }
    .astronaut-mobile {
        width: "60%";
    }
    .mobile-toggle {
        display: none;
    }
    .mobile-hidden {
        display: inherit;
    }
}

/* May be a better way to toggle the image for mobile */
.hidden {
    display: none;
}